
#ifndef _AI_TEAM_H
#define _AI_TEAM_H

#include "ai_swarm.h"

class AITeam{
 public:
	~AITeam(){};
	AITeam();
   void process(float dt);

	void addSwarm(int swarmNumber);
	void removeSwarm(int swarmNumber);
	AISwarm* getSwarm(int swarmNumber);
	AISwarm* getCreateSwarm(int swarmNumber);

 private:
	AISwarm* swarms[32];
	static const int maxSwarms=32;
};

#endif /* _AI_TEAM_H */
